%define upstream_name    Getopt-Long
%define upstream_version 2.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Advanced handling of command line options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.140.0
BuildArch:  noarch

%description
The Getopt::Long module implements an extended getopt function called
GetOptions(). This function adheres to the POSIX syntax for command line
options, with GNU extensions. In general, this means that options have long
names instead of single letters, and are introduced with a double dash
"--". Support for bundling of command line options, as was the case with
the more traditional single-letter approach, is provided but not enabled by
default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.420.0-2.mga4
+ Revision: 538592
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 2.420.0-1.mga4
+ Revision: 489970
- update to 2.42

* Tue Jul 09 2013 jquelin <jquelin> 2.410.0-1.mga4
+ Revision: 451883
- update to 2.41

* Mon Jul 08 2013 sander85 <sander85> 2.400.0-1.mga4
+ Revision: 451211
- update to 2.40

* Wed Mar 27 2013 jquelin <jquelin> 2.380.0-3.mga3
+ Revision: 405500
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.380.0-2.mga3
+ Revision: 367730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.380.0-1.mga1
+ Revision: 26301
- mageia rebuild
- imported package perl-Getopt-Long

